//*************************************************************************
//
//Internet Explorer 4.x Utility routines
//
//*************************************************************************

///////////////////////////////////////////////////////////////////////////
// Function inetGetTop
//		theItem	- HTML element to retreive the top of.
//
//		Return:	The top of theItem in pixels
///////////////////////////////////////////////////////////////////////////
function inetGetTop( theItem ){
	return theItem.style.pixelTop;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetTop
//		theItem	- HTML element to set the top of.
//		newTop	- New top value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetTop( theItem, newTop ){
	theItem.style.pixelTop = newTop;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveTop
//		theItem	- HTML element to move.
//		distY	- The distance in the Y direction to move theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveTop( theItem, distY ){
	theItem.style.pixelTop = theItem.style.pixelTop + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetLeft
//		theItem	- HTML element to retreive the left of.
//
//		Return:	The left of theItem in pixels
///////////////////////////////////////////////////////////////////////////
function inetGetLeft( theItem ){
	return theItem.style.pixelLeft;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetLeft
//		theItem	- HTML element to set the left of.
//		newLeft	- New left value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetLeft( theItem, newLeft ){
	theItem.style.pixelLeft = newLeft;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveLeft
//		theItem	- HTML element to move.
//		distX	- The distance in the X direction to move theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveLeft( theItem, distX ){
	theItem.style.pixelLeft = theItem.style.pixelLeft + distX;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveBy
//		theItem	- HTML element to move.
//		distX	- The distance in the X direction to move theItem
//		distY	- The distance in the Y direction to move theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveBy( theItem, distX, distY ){
	theItem.style.pixelLeft = theItem.style.pixelLeft + distX;
	theItem.style.pixelTop = theItem.style.pixelTop + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveTo
//		theItem	- HTML element to move.
//		locX	- The new X location of theItem
//		locY	- The new Y location of theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveTo( theItem, locX, locY ){
	theItem.style.pixelLeft = locX;
	theItem.style.pixelTop = locY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetWidth
//		theItem	- HTML element to retreive the width of.
//
//		Return:	The width of theItem in pixels
///////////////////////////////////////////////////////////////////////////
function inetGetWidth( theItem ){
	return theItem.style.pixelWidth;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetWidth
//		theItem	- HTML element to set the width of.
//		newWidth	- New width value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetWidth( theItem, newWidth ){
	theItem.style.pixelWidth = newWidth;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetHeight
//		theItem	- HTML element to retreive the height of.
//
//		Return:	The height of theItem in pixels
///////////////////////////////////////////////////////////////////////////
function inetGetHeight( theItem ){
	return theItem.style.pixelHeight;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetHeight
//		theItem	- HTML element to set the width of.
//		newHeight	- New width value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetHeight( theItem, newHeight ){
	theItem.style.pixelHeight = newHeight;
}

///////////////////////////////////////////////////////////////////////////
// Function inetAdjustWidth
//		theItem	- HTML element to adjust.
//		distX	- The distance in the X direction to adjust the width of
//				  theItem.
///////////////////////////////////////////////////////////////////////////
function inetAdjustWidth( theItem, distX ){
	theItem.style.pixelWidth = theItem.style.pixelWidth + distX;
}

///////////////////////////////////////////////////////////////////////////
// Function inetAdjustHeight
//		theItem	- HTML element to adjust.
//		distY	- The distance in the Y direction to adjust the height of
//				  theItem.
///////////////////////////////////////////////////////////////////////////
function inetAdjustHeight( theItem, distY ){
	theItem.style.pixelHeight = theItem.style.pixelHeight + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetAdjustSize
//		theItem	- HTML element to adjust.
//		distX	- The distance in the X direction to adjust theItem size
//		distY	- The distance in the Y direction to adjust theItem size
///////////////////////////////////////////////////////////////////////////
function inetAdjustSize( theItem, distX, distY ){
	theItem.style.pixelWidth = theItem.style.pixelWidth + distX;
	theItem.style.pixelHeight = theItem.style.pixelHeight + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetSize
//		theItem	- HTML element to change the size of.
//		width	- The new width of theItem
//		height	- The new height of theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveTo( theItem, width, height ){
	theItem.style.pixelWidth = width;
	theItem.style.pixelHeight = height;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetVisible
//		theItem	- HTML element to change the size of.
//
//		Return: true if visible, false otherwise
///////////////////////////////////////////////////////////////////////////
function inetSetVisible( theItem ){
	if( theItem.style.visible == "visible" )
		return true;
	
	return false;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetVisible
//		theItem	- HTML element to change the size of.
//		visible	- true if visible, false otherwise
///////////////////////////////////////////////////////////////////////////
function inetSetVisible( theItem, visible ){
	if( visible )
		theItem.style.visibility = "visible";
	else
		theItem.style.visibility = "hidden";
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetClipRect
//		theItem - HTML element to set top clip for.
//		topClip - The new clip value for the top of theItem.
//		leftClip - The new clip value for the left of theItem.
//		bottomClip - The new clip value for the bottom of theItem.
//		rightClip - The new clip value for the right of theItem.
///////////////////////////////////////////////////////////////////////////
function inetSetClipRect( theItem, topClip, leftClip, bottomClip, rightClip ){
	theItem.style.clip = "rect(" +  topClip + " " + rightClip + " " + bottomClip + " " + leftClip + ")";
}
