///////////////////////////////////////////////////////////////////////////
//
//Netscape Navigator 4.x Utility routines
//
///////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////
// Function inetGetTop
//		theItem	- HTML element to retreive the top of.
//
//		Return:	The top of theItem in pixels
///////////////////////////////////////////////////////////////////////////

function inetGetTop( theItem )
{
	return theItem.top;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetTop
//		theItem	- HTML element to set the top of.
//		newTop	- New top value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////

function inetSetTop( theItem, newTop )
{
	theItem.top = newTop;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveTop
//		theItem	- HTML element to move.
//		distY	- The distance in the Y direction to move theItem
///////////////////////////////////////////////////////////////////////////

function inetMoveTop( theItem, distY )
{
	theItem.top = theItem.top + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetLeft
//		theItem	- HTML element to retreive the left of.
//
//		Return:	The left of theItem in pixels
///////////////////////////////////////////////////////////////////////////

function inetGetLeft( theItem )
{
	return theItem.left;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetLeft
//		theItem	- HTML element to set the left of.
//		newLeft	- New left value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetLeft( theItem, newLeft ){
	theItem.left = newLeft;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveLeft
//		theItem	- HTML element to move.
//		distX	- The distance in the X direction to move theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveLeft( theItem, distX ){
	theItem.left = theItem.left + distX;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveBy
//		theItem	- HTML element to move.
//		distX	- The distance in the X direction to move theItem
//		distY	- The distance in the Y direction to move theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveBy( theItem, distX, distY ){
	theItem.left = theItem.left + distX;
	theItem.top = theItem.top + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetMoveTo
//		theItem	- HTML element to move.
//		locX	- The new X location of theItem
//		locY	- The new Y location of theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveTo( theItem, locX, locY ){
	theItem.left = locX;
	theItem.top = locY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetWidth
//		theItem	- HTML element to retreive the width of.
//
//		Return:	The width of theItem in pixels
///////////////////////////////////////////////////////////////////////////
function inetGetWidth( theItem ){
	return theItem.clip.width;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetWidth
//		theItem	- HTML element to set the width of.
//		newWidth	- New width value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetWidth( theItem, newWidth ){
	theItem.clip.width = newWidth;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetHeight
//		theItem	- HTML element to retreive the height of.
//
//		Return:	The height of theItem in pixels
///////////////////////////////////////////////////////////////////////////

function inetGetHeight( theItem )
{
	return theItem.clip.height;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetHeight
//		theItem	- HTML element to set the width of.
//		newHeight	- New width value for theItem, in pixels.
///////////////////////////////////////////////////////////////////////////
function inetSetHeight( theItem, newHeight ){
	theItem.clip.height = newHeight;
}

///////////////////////////////////////////////////////////////////////////
// Function inetAdjustWidth
//		theItem	- HTML element to adjust.
//		distX	- The distance in the X direction to adjust the width of
//				  theItem.
///////////////////////////////////////////////////////////////////////////
function inetAdjustWidth( theItem, distX ){
	theItem.clip.width = theItem.clip.width + distX;
}

///////////////////////////////////////////////////////////////////////////
// Function inetAdjustHeight
//		theItem	- HTML element to adjust.
//		distY	- The distance in the Y direction to adjust the height of
//				  theItem.
///////////////////////////////////////////////////////////////////////////
function inetAdjustHeight( theItem, distY ){
	theItem.clip.height = theItem.clip.height + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetAdjustSize
//		theItem	- HTML element to adjust.
//		distX	- The distance in the X direction to adjust theItem size
//		distY	- The distance in the Y direction to adjust theItem size
///////////////////////////////////////////////////////////////////////////
function inetAdjustSize( theItem, distX, distY ){
	theItem.clip.width = theItem.clip.width + distX;
	theItem.clip.height = theItem.clip.height + distY;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetSize
//		theItem	- HTML element to change the size of.
//		width	- The new width of theItem
//		height	- The new height of theItem
///////////////////////////////////////////////////////////////////////////
function inetMoveTo( theItem, width, height ){
	theItem.clip.width = width;
	theItem.clip.height = height;
}

///////////////////////////////////////////////////////////////////////////
// Function inetGetVisible
//		theItem	- HTML element to change the size of.
//
//		Return: true if visible, false otherwise
///////////////////////////////////////////////////////////////////////////
function inetSetVisible( theItem ){
	if( theItem.visibility == "show" )
		return true;

	return false;
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetVisible
//		theItem	- HTML element to change the size of.
//		visible	- true if visible, false otherwise
///////////////////////////////////////////////////////////////////////////
function inetSetVisible( theItem, visible ){
	if( visible )
		theItem.visibility = "show";
	else
		theItem.visibility = "hide";
}

///////////////////////////////////////////////////////////////////////////
// Function inetSetClipRect
//		theItem - HTML element to set top clip for.
//		topClip - The new clip value for the top of theItem.
//		leftClip - The new clip value for the left of theItem.
//		bottomClip - The new clip value for the bottom of theItem.
//		rightClip - The new clip value for the right of theItem.
///////////////////////////////////////////////////////////////////////////
function inetSetClipRect( theItem, topClip, leftClip, bottomClip, rightClip ){
	theItem.clip.top = topClip;
	theItem.clip.left = leftClip;
	theItem.clip.bottom = bottomClip;
	theItem.clip.right = rightClip;
}
